/// <reference types="node" />
import events from 'events';
export interface IAdobeDocumentData {
    fullName: string;
    name: string;
    saved: boolean;
}
export declare class AdobeEditorService extends events.EventEmitter {
    private static instance;
    static getInstance(): AdobeEditorService;
    constructor();
    getActiveDocument(): Promise<IAdobeDocumentData>;
    saveActiveDocument(): Promise<boolean>;
}
